# TCollection_AsciiString.lxx File Reference

`#include <Standard_OutOfRange.hxx>`
`#include <Standard_CString.hxx>`

## Functions

Standard_Integer | HashCode (const TCollection_AsciiString &astring, const Standard_Integer Upper)
Standard_Boolean | IsEqual (const TCollection_AsciiString &string1, const TCollection_AsciiString &string2)

## Function Documentation

Standard_Integer HashCode | ( | const TCollection_AsciiString & | astring,
|  | const Standard_Integer | Upper
| ) | `[inline]`

Standard_Boolean IsEqual | ( | const TCollection_AsciiString & | string1,
|  | const TCollection_AsciiString & | string2
| ) | `[inline]`